__WAKE_UP(9)

NAME
__wake_up - wake up threads blocked on a waitqueue.

SYNOPSIS

void __wake_up(wait_queue_head_t * q, unsigned int mode, int nr_exclusive, void * key);

ARGUMENTS

q
    the waitqueue

mode
    which threads

nr_exclusive
    how many wake-one or wake-many threads to wake up

key
    is directly passed to the wakeup function

DESCRIPTION

It may be assumed that this function implies a write memory barrier before changing the task state if and only if any tasks are woken up.

COPYRIGHT